libstdc++: __gnu_pbds::detail::hash_eq_fn< Key, Eq_Fn, _Alloc, false > Struct Template Reference

libstdc++

__gnu_pbds::detail::hash_eq_fn< Key, Eq_Fn, _Alloc, false > Struct Template Reference

`#include <hash_eq_fn.hpp>`

## Public Types
typedef Eq_Fn | eq_fn_base
typedef rebind_traits< _Alloc, Key >::const_reference | key_const_reference

## Public Member Functions
| hash_eq_fn (const Eq_Fn &r_eq_fn)
bool | operator() (key_const_reference r_lhs_key, key_const_reference r_rhs_key) const
void | swap (const hash_eq_fn &other)

## Detailed Description

template<typename Key, typename Eq_Fn, typename _Alloc>
struct __gnu_pbds::detail::hash_eq_fn< Key, Eq_Fn, _Alloc, false >

Specialization 1 - The client requests that hash values not be stored.

Definition at line 59 of file hash_eq_fn.hpp.

## Member Typedef Documentation

## ◆ eq_fn_base

template<typename Key, typename Eq_Fn, typename _Alloc>

typedef Eq_Fn __gnu_pbds::detail::hash_eq_fn< Key, Eq_Fn, _Alloc, false >::eq_fn_base

Definition at line 61 of file hash_eq_fn.hpp.

## ◆ key_const_reference

template<typename Key, typename Eq_Fn, typename _Alloc>

typedef rebind_traits<_Alloc,Key>::const_reference __gnu_pbds::detail::hash_eq_fn< Key, Eq_Fn, _Alloc, false >::key_const_reference

Definition at line 63 of file hash_eq_fn.hpp.

## Constructor & Destructor Documentation

## ◆ hash_eq_fn() [1/2]

template<typename Key, typename Eq_Fn, typename _Alloc>

__gnu_pbds::detail::hash_eq_fn< Key, Eq_Fn, _Alloc, false >::hash_eq_fn | ( |  | ) |
| inline

Definition at line 65 of file hash_eq_fn.hpp.

## ◆ hash_eq_fn() [2/2]

template<typename Key, typename Eq_Fn, typename _Alloc>

__gnu_pbds::detail::hash_eq_fn< Key, Eq_Fn, _Alloc, false >::hash_eq_fn | ( | const Eq_Fn & | r_eq_fn | ) |
| inline

Definition at line 67 of file hash_eq_fn.hpp.

## Member Function Documentation

## ◆ operator()()

template<typename Key, typename Eq_Fn, typename _Alloc>

bool __gnu_pbds::detail::hash_eq_fn< Key, Eq_Fn, _Alloc, false >::operator() | ( | key_const_reference | r_lhs_key,
|  | key_const_reference | r_rhs_key ) const
| inline

Definition at line 70 of file hash_eq_fn.hpp.

## ◆ swap()

template<typename Key, typename Eq_Fn, typename _Alloc>

void __gnu_pbds::detail::hash_eq_fn< Key, Eq_Fn, _Alloc, false >::swap | ( | const hash_eq_fn< Key, Eq_Fn, _Alloc, false > & | other | ) |
| inline

Definition at line 75 of file hash_eq_fn.hpp.

The documentation for this struct was generated from the following file:

- hash_eq_fn.hpp